Bug 1568999 - ValueError: plural forms expression could be dangerous
Summary: ValueError: plural forms expression could be dangerous
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: newt
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 13:37 UTC by Nerijus Baliūnas
Modified: 2019-05-27 13:36 UTC (History)
1 user (show)

Fixed In Version: newt-0.52.21-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-27 13:36:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Nerijus Baliūnas 2018-04-18 13:37:42 UTC
Please see bug 1334960 and bug 1364114.

There is a typo in newt/po/lt.po (Lithuanian translation):

"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && (n%100<10 or n%100>=20) 

should be ("or" is considered to be an identifier by gettext):

"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && (n%100<10 || n%100>=20)

Please fix Plural-Forms headers (s/or/||/).

Comment 1 Miroslav Lichvar 2018-04-18 13:49:00 UTC
Should be fixed in upstream git now. Thanks!

Comment 2 Nerijus Baliūnas 2019-05-02 20:38:01 UTC
Unfortunately it is still not fixed in newt-0.52.20-14.fc30.

Comment 3 Miroslav Lichvar 2019-05-27 13:36:21 UTC
The new upstream release is now in Fedora.


Note You need to log in before you can comment on or make changes to this bug.